> ## Documentation Index > Fetch the complete documentation index at: https://documents.trocco.io/llms.txt > Use this file to discover all available pages before exploring further. # DWHテーブルの基本メタデータ更新 > DWHテーブルの基本メタデータを更新します。 ## OpenAPI ````json PATCH /api/public/v1/cometa/catalog_tables/{id}/original_metadata { "openapi": "3.0.3", "info": { "title": "[ベータ] COMETA APIリファレンス", "description": "COMETA APIリファレンス", "version": "0.0.1" }, "servers": [ { "url": "https://trocco.io" } ], "paths": { "/api/public/v1/cometa/catalog_tables/{id}/original_metadata": { "patch": { "summary": "DWHテーブルの基本メタデータ更新", "description": "DWHテーブルの基本メタデータを更新します。", "operationId": "upsertCometaCatalogTableOriginalMetadata", "tags": [ "cometa_catalog_tables_original_metadata" ], "parameters": [ { "name": "id", "in": "path", "description": "テーブルID", "required": true, "schema": { "type": "integer", "format": "int64" } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "type": "object", "properties": { "logical_name": { "description": "論理名を指定します。", "type": "string", "nullable": true, "example": "注文" }, "description": { "description": "説明文を指定します。", "type": "string", "nullable": true, "example": "オンラインストアの注文テーブル" }, "status": { "description": "認証ステータスを指定します。nullを指定すると未指定にリセットされます。", "type": "string", "nullable": true, "enum": [ "unverified", "verified", "deprecated" ], "example": "verified" }, "owner": { "description": "テーブルのオーナーを指定します。", "type": "string", "nullable": true, "example": "data-platform@example.com" } } } } } }, "responses": { "200": { "description": "メタデータを更新した場合に返します。", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/cometa_catalog_table_original_metadata" } } } }, "400": { "$ref": "#/components/responses/api_error_response" }, "401": { "$ref": "#/components/responses/401_response" }, "403": { "$ref": "#/components/responses/403_response" }, "404": { "$ref": "#/components/responses/404_response" } } } } }, "components": { "schemas": { "cometa_catalog_table_original_metadata": { "title": "CometaCatalogTableOriginalMetadata", "type": "object", "properties": { "id": { "description": "DWHテーブルのIDです。", "type": "integer", "format": "int64", "example": 3001 }, "logical_name": { "description": "論理名です。", "type": "string", "nullable": true, "example": "注文" }, "description": { "description": "説明文です。", "type": "string", "nullable": true, "example": "オンラインストアの注文テーブル" }, "status": { "description": "認証ステータスです。", "type": "string", "nullable": true, "enum": [ "unverified", "verified", "deprecated" ] }, "owner": { "description": "テーブルのオーナーです。", "type": "string", "nullable": true, "example": "data-platform@example.com" }, "updated_at": { "description": "最終更新日時 (ISO8601 / UTC) です。", "type": "string", "example": "2026-04-10T12:34:56Z" } }, "required": [ "id", "status", "updated_at" ] } }, "responses": { "api_error_response": { "description": "/api系の共通エラーレスポンス", "content": { "application/json": { "schema": { "title": "ApiErrorResponse", "type": "object", "properties": { "message": { "type": "string", "example": "不正なリクエストです。" } } } } } }, "401_response": { "description": "認証エラー", "content": { "application/json": { "schema": { "title": "ErrorResponse401", "type": "object", "properties": { "message": { "type": "string", "example": "アカウント登録もしくはログインしてください。" } } } } } }, "403_response": { "description": "認可エラー", "content": { "application/json": { "schema": { "title": "ErrorResponse403", "type": "object", "properties": { "message": { "type": "string", "example": "操作を実行する権限がありません。" } } } } } }, "404_response": { "description": "リソースが見つかりません。", "content": { "application/json": { "schema": { "title": "ErrorResponse404", "type": "object", "properties": { "message": { "type": "string", "example": "お探しのページが見つかりませんでした。" } } } } } } } } } ````